/*
 * Copyright(C) 2000  
 *
 *    , 
 *    .
 *
 *        ,
 * ,    ,
 *     ,
 * ,      
 *     
 *      .
 */

/*!
 * \file $RCSfile$
 * \version $Revision: 126987 $
 * \date $Date:: 2015-09-08 17:51:58 +0400#$
 * \author $Author: pav $
 * \brief   -
 */

#include "fkchdimgprj.h"


TSupErr fkchdimg_login ( 
    TSupSysContext *context, 
    TSupSysInfo *info )
{
    TCHAR pass [160];
    TReaderInfoLogin *log = (TReaderInfoLogin*)info;
    TSupErr code = SUP_ERR_NO;
    TFKCHDImgContext *ct = (TFKCHDImgContext*)context;
    
    code = init_read(ct);
    if (code) goto done;

    if ((log->passwd.length!=0)&&(_tcslen(ct->cardctx->cont.defaultPass)==0)) {
	code = SUP_ERR_CANCEL;
	goto done;
    }
    if ((log->passwd.length==0)&&(_tcslen(ct->cardctx->cont.defaultPass)!=0)) {
	code = SUP_ERR_CANCEL;
	goto done;
    }
    memcpy(pass, log->passwd.text, log->passwd.length*sizeof(TCHAR));
    pass[log->passwd.length] = _TEXT('\0');

    if (_tcscmp(pass,ct->cardctx->cont.defaultPass)) code = SUP_ERR_CANCEL;
done:
    return code;
}


